from django.urls import path
from rest_framework.urlpatterns import format_suffix_patterns

from snippets.views import SnippetView,SnippetDetailView

urlpatterns = [
    path('snippets/',SnippetView.as_view()),
    path('snippet/<int:pk>/',SnippetDetailView.as_view()),
]


urlpatterns = format_suffix_patterns(urlpatterns)
